#ifndef __TabStack_h__
#define __TabStack_h__

#if defined(VMS) || defined(__VMS)
#include <X11/apienvset.h>
#endif

#include <Xi/Xi.h>
#include <Xi/TabBox.h>
#include <Xi/TabList.h>
#include <Xi/DrawUtils.h>

#ifdef __cplusplus
extern "C" {
#endif

typedef enum {XiTABS_ON_TOP, XiTABS_ON_BOTTOM, XiTABS_ON_RIGHT,
	      XiTABS_ON_LEFT} XiTabSide;

typedef struct _XiTabStackCallbackStruct {
    int 	reason;
    XEvent      *event;
    Widget      selected_child;
} XiTabStackCallbackStruct;

typedef struct _XiTabStackRec      *XiTabStackWidget;
typedef struct _XiTabStackClassRec *XiTabStackWidgetClass;
extern WidgetClass                 xiTabStackWidgetClass;

#ifndef XiIsTabStack
#define XiIsTabStack(w) XtIsSubclass(w, xiTabStackWidgetClass)
#endif /* XiIsTabStack */

#ifdef _NO_PROTO
extern Widget XiCreateTabStack();
extern Widget XiTabStackGetSelectedTab();
extern void   XiTabStackSelectTab();
extern Widget XiTabStackIndexToWidget();
extern Widget XiTabStackXYToWidget();
#else
extern Widget XiCreateTabStack(Widget, String, ArgList, Cardinal);
extern Widget XiTabStackGetSelectedTab(Widget);
extern void   XiTabStackSelectTab(Widget, Boolean);
extern Widget XiTabStackIndexToWidget(Widget, int);
extern Widget XiTabStackXYToWidget(Widget, int, int);
#endif

#ifdef __cplusplus
} /* Close scope of 'extern "C"' declaration */
#endif

#if defined(VMS) || defined(__VMS)
#include <X11/apienvrst.h>
#endif

#endif /* __TabStack_h__ */
