// Revision: 11 1.4.1.3 source/multmed/immcdhdr.hpp, multimedia, ioc.v400, 000920  
/* NOSHIP */
#ifndef _IMMCDHDR_
   #define _IMMCDHDR_
/*******************************************************************************
* FILE NAME: immremhd.hpp                                                      *
*                                                                              *
* DESCRIPTION:                                                                 *
*   Declaration of the classes:                                                *
*     IMMAudioCDHandler                                                        *
*                                                                              *
* COPYRIGHT:                                                                   *
*   IBM Open Class Library                                                     *
*   (C) Copyright International Business Machines Corporation 1992, 1997       *
*   Licensed Material - Program-Property of IBM - All Rights Reserved.         *
*   US Government Users Restricted Rights - Use, duplication, or disclosure    *
*   restricted by GSA ADP Schedule Contract with IBM Corp.                     *
*                                                                              *
*******************************************************************************/
#include <immremhd.hpp>

#if __IBMCPP__ >= 400
#pragma namemangling(compat)
#endif

class IMMAudioCD;

#pragma enum(4)
#pragma pack(push,4)

#ifdef IC_PMWIN

class IMMAudioCDHandler : public IMMRemovableMediaHandler {
typedef IMMRemovableMediaHandler
  Inherited;
public:
/*----------------------------- Constructors ---------------------------------*/
  IMMAudioCDHandler();
virtual
  ~IMMAudioCDHandler();

/*---------------------------- Device Attachment -----------------------------*/
virtual IMMAudioCDHandler
  &handleEventsFor       ( IMMAudioCD* device );

/*-------------------------------- Event Processing --------------------------*/
virtual bool
  passDevice      (const IMMPassDeviceEvent& event);

protected:
/*----------------------------- Notification ---------------------------------*/
virtual bool
  dispatchHandlerEvent    (IEvent& event);

/*----------------------------- Implementaion --------------------------------*/
virtual IMMAudioCDHandler
  &mediaLoaded       (),
  &mediaUnloaded     ();

private:
/*--------------------------------- Private ----------------------------------*/
// Explicit copy CTOR, to avoid default inlining by compiler.
IMMAudioCDHandler::IMMAudioCDHandler  (const IMMAudioCDHandler&);

IMMAudioCD*
  fDevice;

/*----------------------------- Hidden Functions -----------------------------*/
virtual IMMAudioCDHandler
 &handleEventsFor( IWindow* window   ),
 &handleEventsFor( IMMRemovableMedia* device),      //aj
 &handleEventsFor( IMMDevice* device );

}; // IMMAudioCDHandler

#endif /* IC_PMWIN  */

#pragma pack(pop)
#pragma enum(pop)

#if __IBMCPP__ >= 400
#pragma namemangling()
#endif

#endif /* _IMMCDHDR_ */
