/* NOSHIP */
#ifndef _ITRNPRIV_
#define _ITRNPRIV_
/*******************************************************************************
* FILE NAME: itrnpriv.hpp                                                      *
*                                                                              *
* DESCRIPTION:                                                                 *
*   Declaration of the classes:                                                *
*     ITransformData                                                           *
*                                                                              *
* COPYRIGHT:                                                                   *
*   IBM Open Class Library                                                     *
*   (C) Copyright International Business Machines Corporation 1992, 1997       *
*   Licensed Material - Program-Property of IBM - All Rights Reserved.         *
*   US Government Users Restricted Rights - Use, duplication, or disclosure    *
*   restricted by GSA ADP Schedule Contract with IBM Corp.                     *
*                                                                              *
*******************************************************************************/
// Revision: 70 1.4.1.4 source/ographic/itrnpriv.hpp, graphics, ioc.v400, 000920 

#include <ibase.hpp>

#if ( IC_OBSOLETE <= IC_OBSOLETE_3 )
#ifdef IC_PMWIN

#ifdef IC_PM
  static long UNITY = 65536;
#endif
#ifdef IC_WIN
  static long UNITY = 1;
#endif

#if __IBMCPP__ >= 400
#pragma namemangling(compat)
#endif

#pragma pack(4)

// Forward declarations for other classes:
// class IRelated;

class ITransformData : public IBase {
typedef IBase
  Inherited;
/*******************************************************************************
* Objects of this class are used to represent the private data for the         *
* ITransformMatrix class.                                                      *
*******************************************************************************/
public:
#ifdef IC_PM
/*----------------------------- Constructors -----------------------------------
| You can construct objects of this class:                                     |
|  1. By the default constructor.  Create the identity matrix.                 |
|  2. From size elements for the matrix.                                       |
|  3. From another private data object.                                        |
------------------------------------------------------------------------------*/
  ITransformData ( );

  ITransformData ( FIXED f11,
                   FIXED f12,
                   FIXED f21,
                   FIXED f22,
                   long l31,
                   long l32 );

  ITransformData ( const ITransformData& tData );

FIXED
  fElement11,
  fElement12,
  fElement21,
  fElement22;
long
  fElement31,
  fElement32;

#endif
#ifdef IC_WIN
/*----------------------------- Constructors -----------------------------------
| You can construct objects of this class:                                     |
|  1. By the default constructor.  Create the identity matrix.                 |
|  2. From size elements for the matrix.                                       |
|  3. From another private data object.                                        |
------------------------------------------------------------------------------*/
  ITransformData ( );

  ITransformData ( float f11,
                   float f12,
                   float f21,
                   float f22,
                   float l31,
                   float l32 );

  ITransformData ( const ITransformData& tData );

float
  fElement11,
  fElement12,
  fElement21,
  fElement22,
  fElement31,
  fElement32;
#endif

ITransformData&
  ITransformData::operator=  ( const ITransformData& transformData );
ITransformData
  ITransformData::operator* ( const ITransformData& transformData );

bool
  ITransformData::operator==( const ITransformData& transformData ) const,
  ITransformData::operator!=( const ITransformData& transformData ) const;

}; // ITransformData

#pragma pack()

#if __IBMCPP__ >= 400
#pragma namemangling()
#endif

#endif // IC_PMWIN
#endif // IC_OBSOLETE
#endif // _ITRNPRIV_
